set str to "***"
set gotFile to false

set filePath to "[$1]"
set resultPath to "[$2]"

try
	tell application "Finder" to if exists filePath as alias then set gotFile to true
end try

if gotFile then
	tell application "iTunes"
		
		set savEnc to current encoder
		
		try
			repeat with enc in encoders
				if format of enc as string is equal to "MP3" then
					
					set current encoder to enc
					
					tell enc
						set newTrack to convert filePath as list
					end tell
					
					set str to location of item 1 of newTrack as string
					set posixStr to (POSIX path of str) as string
					
					tell application "iTunes" to stop
					exit repeat
					
				end if
			end repeat
		end try
		
		set current encoder to savEnc
		
	end tell
end if

set fRef to 0
try
	set fRef to open for access resultPath with write permission
	set eof of fRef to 0
	--write str to fRef
	write posixStr to fRef
	close access fRef
on error
	if (fRef is not equal to 0) then
		close access fRef
		set fRef to 0
	end if
end try
--str
posixStr