on send_email_message(targetAddress, targetName, 
	subjectLine, messageText, fileAttachment)
	
	tell application "Mail"
		(* MAIL APPLICATION VERSION *)
		set mailversion to version as string
		
		(* SPECIFY GENERAL CONTENT OF MESSAGE *)
		set bodyvar to messageText
		set addrVar to targetAddress
		set addrNameVar to targetName
		
		(* DEFINE THE SUBJECT LINE *)
		set subjectvar to subjectLine
		
		(* CREATE THE MESSAGE *)
		set composeMessage to (a reference to (make new outgoing message 
			at beginning of outgoing messages))
		tell composeMessage
			make new to recipient at beginning of to recipients 
				with properties {address:addrVar, name:addrNameVar}
			set the subject to subjectvar
			set the content to bodyvar
			
			(* SPECIFY THE ATTACHMENT *)
			tell content
				make new text attachment 
					with properties {file name:fileAttachment} 
					at after the last word of the 
					last paragraph
			end tell
			
		end tell
		
		(* SEND OR DISPLAY THE MESSAGE *)
		send composeMessage
		
	end tell
end send_email_message